Skip to main content
PUT
/
api
/
v1
/
gateways
/
{gateway_id}
cURL
curl --request PUT \
  --url https://api.example.com/api/v1/gateways/{gateway_id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_tls": {},
  "name": "<string>",
  "required_plugins": [
    {
      "enabled": true,
      "id": "<string>",
      "name": "<string>",
      "parallel": true,
      "priority": 123,
      "settings": {},
      "stage": "pre_request"
    }
  ],
  "security_config": {
    "allowed_hosts": [
      "<string>"
    ],
    "allowed_hosts_are_regex": true,
    "browser_xss_filter": true,
    "content_security_policy": "<string>",
    "content_type_nosniff": true,
    "custom_frame_options_value": "<string>",
    "frame_deny": true,
    "is_development": true,
    "referrer_policy": "<string>",
    "ssl_host": "<string>",
    "ssl_proxy_headers": {},
    "ssl_redirect": true,
    "sts_include_subdomains": true,
    "sts_seconds": 123
  },
  "status": "<string>",
  "telemetry": {
    "enable_plugin_traces": true,
    "enable_request_traces": true,
    "exporters": [
      {
        "name": "<string>",
        "settings": {}
      }
    ],
    "extra_params": {},
    "header_mapping": {}
  }
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.neuraltrust.ai/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Authorization token

Path Parameters

gateway_id
string
required

GatewayDTO ID

Body

application/json

Updated gateway data

client_tls
object
name
string
required_plugins
object[]
security_config
object
status
string
telemetry
object

Response

GatewayDTO updated successfully